Subject: [hybi] AUTH48 changes to the WebSocket protocol spec

From: Alexey Melnikov <[email-masked]>
Date: Mon, 12 Dec 2011 21:23:40 +0000

On 29/11/2011 23:31, Peter Saint-Andre wrote:
> On 11/29/11 3:45 PM, Greg Wilkins wrote:
>> On 30 November 2011 01:18, Alexey Melnikov<[email-masked]>  wrote:
>>> 1011
>>>       1011 indicates that a server is terminating the connection
>>>       because it has encountered an unexpected condition which prevented
>>>       it from fulfilling the request.
>> +1
>>
>> what is the process path from here?
> This code (and a few others) will be slipped into the spec during "AUTH48":
>
> http://www.rfc-editor.org/pubprocess.html#auth48
>
>>    Do we have any other changes needed?
> Some slight editorial issues, registration process clarifications, and
> the close codes that have been discussed on the list. Alexey and Ian can
> provide more details.
To summarize changes between -17 and RFC 6455:

1). Various spelling fixes, corrected punctuation, editorial 
clarifications. Correct placement of references. Consistent marking of 
header fields, updated references, etc.
2). Fixed description of when %-encoding of "#" is needed in ws: URIs to 
be consistent with URI encoding rules
3). Clarified that the "Upgrade" header field can include other keywords 
(and not just be equal to "websocket"), as per RFC 2616.
4). Added missing frame code 0 (frame continuation to the Frame ABNF)
5). Added 2 new close codes as per the mailing list discussions:

1011 - indicates that a server is terminating the connection because
it encountered an unexpected condition that prevented it from
fulfilling the request.

1015 - is a reserved value and MUST NOT be set as a status code in a
Close control frame by an endpoint. It is designated for use in
applications expecting a status code to indicate that the
connection was closed due to a failure to perform a TLS handshake
(e.g., the server certificate can't be verified).

6). Updated IANA registration procedure/text in section 11.6 (WebSocket 
Version Number Registry). The new text better reflects what the WG was 
doing and it seemed clearer to IANA.